/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增，编辑保险产品配置 POST /api/Dictionary/CreateOrUpdateInsureProductSetting */
export async function createOrUpdateInsureProductSetting(
  body: API.CreateOrUpdateInsureProductSettingInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/Dictionary/CreateOrUpdateInsureProductSetting', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除保险产品配置 GET /api/Dictionary/DeleteInsureProductSetting */
export async function deleteInsureProductSetting(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteInsureProductSettingParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Dictionary/DeleteInsureProductSetting', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取已启用的保险产品配置下拉列表 POST /api/Dictionary/GetInsureProductSettingAllList */
export async function getInsureProductSettingAllList(
  body: API.GetInsureProductSettingPageInput,
  options?: API.RequestConfig
) {
  return request<API.InsureProductSettingDto[]>('/api/Dictionary/GetInsureProductSettingAllList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取保险产品配置列表 POST /api/Dictionary/GetInsureProductSettingPage */
export async function getInsureProductSettingPage(
  body: API.GetInsureProductSettingPageInput,
  options?: API.RequestConfig
) {
  return request<API.InsureProductSettingDtoPageOutput>(
    '/api/Dictionary/GetInsureProductSettingPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 修改保险产品配置状态 POST /api/Dictionary/UpdateInsureProductSettingStatus */
export async function updateInsureProductSettingStatus(
  body: API.UpdateInsureProductSettingStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Dictionary/UpdateInsureProductSettingStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
